<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.2.RELEASE</version>
        <relativePath/>
    </parent>

    <groupId>xyz.wbsite</groupId>
    <artifactId>nginx-admin</artifactId>
    <version>1.0-SNAPSHOT</version>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <maven.test.skip>true</maven.test.skip>
        <commons-io-version>2.6</commons-io-version>
        <pagehelper-version>1.2.5</pagehelper-version>
        <mybatis-version>1.3.2</mybatis-version>
        <ehcache-version>1.1.0</ehcache-version>
        <dozer-version>5.5.1</dozer-version>
        <spring-cloud.version>Greenwich.RC2</spring-cloud.version>
        <wsqlite>1.0-SNAPSHOT</wsqlite>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- Spring 微服务 -->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!-- sql分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper-version}</version>
            </dependency>
            <!-- spring-boot -->
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${mybatis-version}</version>
            </dependency>
            <!-- mybatis 缓存框架 -->
            <dependency>
                <groupId>org.mybatis.caches</groupId>
                <artifactId>mybatis-ehcache</artifactId>
                <version>${ehcache-version}</version>
            </dependency>
            <!-- 映射工具 -->
            <dependency>
                <groupId>net.sf.dozer</groupId>
                <artifactId>dozer</artifactId>
                <version>${dozer-version}</version>
            </dependency>
            <!-- 文件流处理 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io-version}</version>
            </dependency>
            <!-- sqlite封装模块 -->
            <dependency>
                <groupId>xyz.wbsite</groupId>
                <artifactId>wsqlite</artifactId>
                <version>${wsqlite}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>